Bug 886846 - Review Request: native-platform - Java bindings for various native APIs
Review Request: native-platform - Java bindings for various native APIs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Srb
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-13 05:49 EST by gil cattaneo
Modified: 2013-05-25 21:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: native-platform-0.3-0.2.rc2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-18 22:30:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msrb: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-12-13 05:49:51 EST
Spec URL: http://gil.fedorapeople.org/native-platform.spec
SRPM URL: http://gil.fedorapeople.org/native-platform-0.2-1.fc16.src.rpm
Description:
A collection of cross-platform Java APIs
for various native APIs.

These APIs support Java 5 and later. Some
of these APIs overlap with APIs available
in later Java versions.

Fedora Account System Username: gil

gradle 1.3 B/R
Comment 1 gil cattaneo 2012-12-13 06:17:44 EST
Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4786177
Comment 2 gil cattaneo 2012-12-13 14:03:07 EST
I received an answer from the developer of the
library on the type of license applied, ASL 2.0.
In the next relase should be available also the
license file in the git repository.
Comment 5 Michal Srb 2013-05-10 07:17:10 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that are
  listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

Not really an issue


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[-]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct Maven mapping
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Packages are noarch unless they use JNI
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: native-platform-0.3-0.1.rc2.fc20.x86_64.rpm
          native-platform-javadoc-0.3-0.1.rc2.fc20.noarch.rpm
native-platform.x86_64: E: no-binary
native-platform.x86_64: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 1 errors, 1 warnings.

This is JNI package



Rpmlint (installed packages)
----------------------------
# rpmlint native-platform-javadoc native-platform
native-platform.x86_64: E: no-binary
native-platform.x86_64: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
native-platform-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

native-platform (rpmlib, GLIBC filtered):
    java
    jpackage-utils



Provides
--------
native-platform-javadoc:
    native-platform-javadoc

native-platform:
    mvn(net.rubygrapefruit:native-platform)
    mvn(net.rubygrapefruit:native-platform-linux-amd64)
    native-platform
    native-platform(x86-64)



Source checksums
----------------
http://repo.gradle.org/gradle/libs-releases-local/net/rubygrapefruit/native-platform-linux-i386/0.3-rc-2/native-platform-linux-i386-0.3-rc-2.pom :
  CHECKSUM(SHA256) this package     : c763be7d6ea42265f53be57040729e0b8f1510841465320bbafef94bd8b6a191
  CHECKSUM(SHA256) upstream package : c763be7d6ea42265f53be57040729e0b8f1510841465320bbafef94bd8b6a191
http://repo.gradle.org/gradle/libs-releases-local/net/rubygrapefruit/native-platform-linux-amd64/0.3-rc-2/native-platform-linux-amd64-0.3-rc-2.pom :
  CHECKSUM(SHA256) this package     : 0f48a641a86a8382bb7867ee9ffec05c4ca99c42510b171a5a358787abef8e5f
  CHECKSUM(SHA256) upstream package : 0f48a641a86a8382bb7867ee9ffec05c4ca99c42510b171a5a358787abef8e5f
http://repo.gradle.org/gradle/libs-releases-local/net/rubygrapefruit/native-platform/0.3-rc-2/native-platform-0.3-rc-2.pom :
  CHECKSUM(SHA256) this package     : bbf2f82c623d8ade4ff691accc9047c23fc59d610776e1a8fab8e4132f26c892
  CHECKSUM(SHA256) upstream package : bbf2f82c623d8ade4ff691accc9047c23fc59d610776e1a8fab8e4132f26c892


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 886846

The package looks good.

APPROVED
Comment 6 gil cattaneo 2013-05-10 10:37:19 EDT
New Package SCM Request
=======================
Package Name: native-platform
Short Description: Java bindings for various native APIs
Owners: gil
Branches: f18 f19
InitialCC: java-sig
Comment 7 Jon Ciesla 2013-05-10 10:48:59 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-05-10 11:30:11 EDT
native-platform-0.3-0.2.rc2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/native-platform-0.3-0.2.rc2.fc19
Comment 9 Fedora Update System 2013-05-10 11:46:08 EDT
native-platform-0.3-0.2.rc2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/native-platform-0.3-0.2.rc2.fc18
Comment 10 Fedora Update System 2013-05-10 20:27:05 EDT
native-platform-0.3-0.2.rc2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2013-05-18 22:30:47 EDT
native-platform-0.3-0.2.rc2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Fedora Update System 2013-05-24 16:40:44 EDT
native-platform-0.3-0.2.rc2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.